org.apache.poi.hslf.record

## Class TextSpecInfoRun

- java.lang.Object
- - org.apache.poi.hslf.record.TextSpecInfoRun

- All Implemented Interfaces:
    GenericRecord

      public class TextSpecInfoRun
      extends java.lang.Object
      implements GenericRecord

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TextSpecInfoRun.SpellInfoEnum` A enum that specifies the spelling status of a run of text.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextSpecInfoRun(int len)` Inits a TextSpecInfoRun with default values
    `TextSpecInfoRun(LittleEndianByteArrayInputStream source)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getAltLangId()` Alternate Windows LANGID of this text; must be a valid non-East Asian LANGID if the text has an East Asian language, otherwise may be an East Asian LANGID or language neutral (zero).
    `java.lang.Boolean` | `getBidi()`
    `java.util.Map<java.lang.String,java.util.function.Supplier<?>>` | `getGenericProperties()`
    `java.lang.Boolean` | `getGrammarError()`
    `void` | `getGrammarError(java.lang.Boolean grammarError)`
    `short` | `getLangId()` Windows LANGID for this text.
    `int` | `getLength()`
    `int` | `getPP10RunId()`
    `byte[]` | `getSmartTagsBytes()`
    `TextSpecInfoRun.SpellInfoEnum` | `getSpellInfo()`
    `void` | `setAltLangId(short altLangId)`
    `void` | `setBidi(java.lang.Boolean bidi)`
    `void` | `setLangId(short langId)`
    `void` | `setLength(int length)`
    `void` | `setPP10RunId(int pp10RunId)`
    `void` | `setSmartTagsBytes(byte[] smartTagsBytes)`
    `void` | `setSpellInfo(TextSpecInfoRun.SpellInfoEnum spellInfo)`
    `void` | `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### TextSpecInfoRun

          public TextSpecInfoRun(int len)

      Inits a TextSpecInfoRun with default values
      Parameters:
        `len` - the length of the one and only run

    - #### TextSpecInfoRun

          public TextSpecInfoRun(LittleEndianByteArrayInputStream source)

  - ### Method Detail

    - #### writeOut

          public void writeOut(java.io.OutputStream out)
                        throws java.io.IOException

      Write the contents of the record back, so it can be written to disk
      Parameters:
        `out` - the output stream to write to.
      Throws:
        `java.io.IOException` - if an error occurs.

    - #### getSpellInfo

          public TextSpecInfoRun.SpellInfoEnum getSpellInfo()

      Returns:
        Spelling status of this text. null if not defined.

    - #### setSpellInfo

          public void setSpellInfo(TextSpecInfoRun.SpellInfoEnum spellInfo)

      Parameters:
        `spellInfo` - Spelling status of this text. null if not defined.

    - #### getLangId

          public short getLangId()

      Windows LANGID for this text.
      Returns:
        Windows LANGID for this text, -1 if it's not set

    - #### setLangId

          public void setLangId(short langId)

      Parameters:
        `langId` - Windows LANGID for this text, -1 to unset

    - #### getAltLangId

          public short getAltLangId()

      Alternate Windows LANGID of this text; must be a valid non-East Asian LANGID if the text has an East Asian language, otherwise may be an East Asian LANGID or language neutral (zero).
      Returns:
        Alternate Windows LANGID of this text, -1 if it's not set

    - #### setAltLangId

          public void setAltLangId(short altLangId)

    - #### getLength

          public int getLength()

      Returns:
        Length of special info run.

    - #### setLength

          public void setLength(int length)

      Parameters:
        `length` - Length of special info run.

    - #### getBidi

          public java.lang.Boolean getBidi()

      Returns:
        the bidirectional characters flag. false = not bidi, true = is bidi, null = not set

    - #### setBidi

          public void setBidi(java.lang.Boolean bidi)

      Parameters:
        `bidi` - the bidirectional characters flag. false = not bidi, true = is bidi, null = not set

    - #### getSmartTagsBytes

          public byte[] getSmartTagsBytes()

      Returns:
        the unparsed smart tags

    - #### setSmartTagsBytes

          public void setSmartTagsBytes(byte[] smartTagsBytes)

      Parameters:
        `smartTagsBytes` - the unparsed smart tags, null to unset

    - #### getPP10RunId

          public int getPP10RunId()

      Returns:
        an identifier for a character run that contains StyleTextProp11 data.

    - #### setPP10RunId

          public void setPP10RunId(int pp10RunId)

      Parameters:
        `pp10RunId` - an identifier for a character run that contains StyleTextProp11 data, -1 to unset

    - #### getGrammarError

          public java.lang.Boolean getGrammarError()

    - #### getGrammarError

          public void getGrammarError(java.lang.Boolean grammarError)

    - #### getGenericProperties

          public java.util.Map<java.lang.String,java.util.function.Supplier<?>> getGenericProperties()

      Specified by:
        `getGenericProperties` in interface `GenericRecord`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.